HaXml-1.25.14: Utilities for manipulating XML documents

Safe Haskell | Safe-Inferred
Language | Haskell98

Text.XML.HaXml.Schema.Environment

Synopsis

- data Environment = Environment {
  - env_type :: Map QName (Either SimpleType ComplexType)
  - env_allTypes :: Map QName (Either SimpleType ComplexType)
  - env_element :: Map QName ElementDecl
  - env_attribute :: Map QName AttributeDecl
  - env_group :: Map QName Group
  - env_attrgroup :: Map QName AttrGroup
  - env_namespace :: Map String String
  - env_extendty :: Map QName [(QName, FilePath)]
  - env_substGrp :: Map QName [(QName, FilePath)]
  - env_typeloc :: Map QName FilePath
  }
- emptyEnv :: Environment
- combineEnv :: Environment -> Environment -> Environment
- mkEnvironment :: FilePath -> Schema -> Environment -> Environment
- gatherImports :: Schema -> [(FilePath, Maybe String)]

# Documentation

data Environment Source #

Constructors

Environment |

Fields

- env_type :: Map QName (Either SimpleType ComplexType)

  type definitions in scope

- env_allTypes :: Map QName (Either SimpleType ComplexType)

  all type definitions, regardless of scope

- env_element :: Map QName ElementDecl
- env_attribute :: Map QName AttributeDecl
- env_group :: Map QName Group
- env_attrgroup :: Map QName AttrGroup
- env_namespace :: Map String String
- env_extendty :: Map QName [(QName, FilePath)]

  supertype -> subtypes

- env_substGrp :: Map QName [(QName, FilePath)]

  substitution groups

- env_typeloc :: Map QName FilePath

  where type is defined

#### Instances

Instances details

Show Environment Source # |
Instance details Defined in Text.XML.HaXml.Schema.Environment Methods showsPrec :: Int -> Environment -> ShowS Source # show :: Environment -> String Source # showList :: [Environment] -> ShowS Source #
Eq Environment Source # |
Instance details Defined in Text.XML.HaXml.Schema.Environment Methods (==) :: Environment -> Environment -> Bool Source # (/=) :: Environment -> Environment -> Bool Source #

emptyEnv :: Environment Source #

An empty environment of XSD type mappings.

combineEnv :: Environment -> Environment -> Environment Source #

Combine two environments (e.g. read from different interface files)

mkEnvironment :: FilePath -> Schema -> Environment -> Environment Source #

Build an environment of XSD type mappings from a schema module.

gatherImports :: Schema -> [(FilePath, Maybe String)] Source #

Find all direct module dependencies.